import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { ApiAppConfig } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-10-13 16:31
 */
interface ApiAppConfigCU extends ConditionUtil<ApiAppConfigCU> {
    APP_ID: FieldUtil<ApiAppConfigCU>;
    APP_CODE: FieldUtil<ApiAppConfigCU>;
    APP_NAME: FieldUtil<ApiAppConfigCU>;
    SECRET: FieldUtil<ApiAppConfigCU>;
    IS_ENCRYPT: FieldUtil<ApiAppConfigCU>;
    AES_KEY: FieldUtil<ApiAppConfigCU>;
    IS_PARKING_FUNC: FieldUtil<ApiAppConfigCU>;
    IS_POSTPAID_FUNC: FieldUtil<ApiAppConfigCU>;
    IS_MERCAHNT_FUNC: FieldUtil<ApiAppConfigCU>;
    IS_RESERVE_FUNC: FieldUtil<ApiAppConfigCU>;
    IS_FIXEDCAR_FUNC: FieldUtil<ApiAppConfigCU>;
    IS_NOTIFY_FUNC: FieldUtil<ApiAppConfigCU>;
    IS_CHANNEL_FUNC: FieldUtil<ApiAppConfigCU>;
    PUSH_SIGN: FieldUtil<ApiAppConfigCU>;
    NOTIFY_INFO: FieldUtil<ApiAppConfigCU>;
    NOTIFY_URL: FieldUtil<ApiAppConfigCU>;
    LOT_PRE_TYPE: FieldUtil<ApiAppConfigCU>;
    CREDIT_TYPE: FieldUtil<ApiAppConfigCU>;
    CREDIT_LIMIT: FieldUtil<ApiAppConfigCU>;
    LIMIT_TYPE: FieldUtil<ApiAppConfigCU>;
    IS_DEBUG: FieldUtil<ApiAppConfigCU>;
    STATUS: FieldUtil<ApiAppConfigCU>;
    REMARK: FieldUtil<ApiAppConfigCU>;
}
declare class ApiAppConfigMU extends TableUtilImpl<ApiAppConfigCU, ApiAppConfig> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): ApiAppConfigCU;
    static get APP_ID(): FieldUtil<ApiAppConfigCU>;
    static get APP_CODE(): FieldUtil<ApiAppConfigCU>;
    static get APP_NAME(): FieldUtil<ApiAppConfigCU>;
    static get SECRET(): FieldUtil<ApiAppConfigCU>;
    static get IS_ENCRYPT(): FieldUtil<ApiAppConfigCU>;
    static get AES_KEY(): FieldUtil<ApiAppConfigCU>;
    static get IS_PARKING_FUNC(): FieldUtil<ApiAppConfigCU>;
    static get IS_POSTPAID_FUNC(): FieldUtil<ApiAppConfigCU>;
    static get IS_MERCAHNT_FUNC(): FieldUtil<ApiAppConfigCU>;
    static get IS_RESERVE_FUNC(): FieldUtil<ApiAppConfigCU>;
    static get IS_FIXEDCAR_FUNC(): FieldUtil<ApiAppConfigCU>;
    static get IS_NOTIFY_FUNC(): FieldUtil<ApiAppConfigCU>;
    static get IS_CHANNEL_FUNC(): FieldUtil<ApiAppConfigCU>;
    static get PUSH_SIGN(): FieldUtil<ApiAppConfigCU>;
    static get NOTIFY_INFO(): FieldUtil<ApiAppConfigCU>;
    static get NOTIFY_URL(): FieldUtil<ApiAppConfigCU>;
    static get LOT_PRE_TYPE(): FieldUtil<ApiAppConfigCU>;
    static get CREDIT_TYPE(): FieldUtil<ApiAppConfigCU>;
    static get CREDIT_LIMIT(): FieldUtil<ApiAppConfigCU>;
    static get LIMIT_TYPE(): FieldUtil<ApiAppConfigCU>;
    static get IS_DEBUG(): FieldUtil<ApiAppConfigCU>;
    static get STATUS(): FieldUtil<ApiAppConfigCU>;
    static get REMARK(): FieldUtil<ApiAppConfigCU>;
    get APP_ID(): FieldUtil<ApiAppConfigCU>;
    get APP_CODE(): FieldUtil<ApiAppConfigCU>;
    get APP_NAME(): FieldUtil<ApiAppConfigCU>;
    get SECRET(): FieldUtil<ApiAppConfigCU>;
    get IS_ENCRYPT(): FieldUtil<ApiAppConfigCU>;
    get AES_KEY(): FieldUtil<ApiAppConfigCU>;
    get IS_PARKING_FUNC(): FieldUtil<ApiAppConfigCU>;
    get IS_POSTPAID_FUNC(): FieldUtil<ApiAppConfigCU>;
    get IS_MERCAHNT_FUNC(): FieldUtil<ApiAppConfigCU>;
    get IS_RESERVE_FUNC(): FieldUtil<ApiAppConfigCU>;
    get IS_FIXEDCAR_FUNC(): FieldUtil<ApiAppConfigCU>;
    get IS_NOTIFY_FUNC(): FieldUtil<ApiAppConfigCU>;
    get IS_CHANNEL_FUNC(): FieldUtil<ApiAppConfigCU>;
    get PUSH_SIGN(): FieldUtil<ApiAppConfigCU>;
    get NOTIFY_INFO(): FieldUtil<ApiAppConfigCU>;
    get NOTIFY_URL(): FieldUtil<ApiAppConfigCU>;
    get LOT_PRE_TYPE(): FieldUtil<ApiAppConfigCU>;
    get CREDIT_TYPE(): FieldUtil<ApiAppConfigCU>;
    get CREDIT_LIMIT(): FieldUtil<ApiAppConfigCU>;
    get LIMIT_TYPE(): FieldUtil<ApiAppConfigCU>;
    get IS_DEBUG(): FieldUtil<ApiAppConfigCU>;
    get STATUS(): FieldUtil<ApiAppConfigCU>;
    get REMARK(): FieldUtil<ApiAppConfigCU>;
}
export { ApiAppConfigMU, ApiAppConfigCU };
